#asm
   .equ __i2c_port=0x1b //     I2C 
   .equ __scl_bit=0 // 0  
   .equ __sda_bit=1 // 1   PA  AT90S8515
#endasm

#asm 
.equ __lcd_port=0x15 //   LCD-   
#endasm

#include <lm75.h>  //   
#include <stdio.h> //   
#include <90s8515.h> //  
#include <delay.h>
#include <lcd.h>

char lcd_buffer[33]; //        

void main(void) //   
{  int i[3]={0,1,7}; //      
   char sign;
   int temp, j;
   lcd_init(16); //  
   i2c_init(); //   I2C
   //   LM75AD   0, 1  7 
   // OS   -  
   //    0  20C
   //    0  25C
   lm75_init(0,20,25,1);
    //    1  7  -20C
   //    1  7  22C
   lm75_init(1,-20,22,1);
   lm75_init(7,-20,22,1);
   //    
   while (1)
   {     for (j=0;j<3;j++) {
      //     LM75AD
      temp=lm75_temperature_10(i[j]);
      sign='+';
      if (temp<0)
         {
         sign='-';
         temp=-temp;
         }
     //   
     //      lcd_buffer
      sprintf(lcd_buffer,"t=%c%i.%u C", sign,temp/10,temp%10);
      lcd_clear(); //  
      lcd_puts(lcd_buffer); //     lcd_buffer   
      delay_ms(2000); //  200  
       }     
   }
}